$(document).ready(function()
{
    $(document).on('change', '#amount', function()
    {
        if($.isNumeric($(this).val()))
        {
            var price     = parseFloat($('.giftScore').html());
            var amount    = parseFloat($(this).val());
            var costScore = Math.round(price * amount * 100) / 100;
            $('.costScore')[0].childNodes[0].nodeValue = costScore;
        }
    });

    $('#amount').change();
})
